<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Repository;

use Dedi\SyliusCustomerPoolPlugin\Model\CustomerPool;
use Sylius\Component\User\Model\UserInterface;

trait FindUserByEmailAndCustomerPoolTrait
{
    public function findOneByEmailAndCustomerPool(string $email, ?CustomerPool $customerPool): ?UserInterface
    {
        return $this->createQueryBuilder('o')
            ->innerJoin('o.customer', 'customer')
            ->andWhere('customer.emailCanonical = :email')
            ->andWhere('customer.customerPool = :customerPool')
            ->setParameter('email', $email)
            ->setParameter('customerPool', $customerPool)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
}
